Bug 65115 - missing buildreq db3-devel
Summary: missing buildreq db3-devel
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-17 18:40 UTC by James Manning
Modified: 2007-04-18 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-01 18:30:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Manning 2002-05-17 18:40:07 UTC
doing --rebuild on the srpm w/o db3-devel installed:

checking for gdbm_open in -lgdbm... yes
checking for GDBM support... yes
checking for NDBM support... no
checking for Berkeley DB2 support... no
checking for db_create in -ldb... no
checking for db_create in -ldb-3... no
checking for db_create in -ldb3... no
configure: error: cannot find necessary header file(s)
error: Bad exit status from /var/tmp/rpm-tmp.85380 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.85380 (%build)


once db3-devel is installed, it gets by that fine

checking for db_create in -ldb... yes
checking for db_create in -ldb-3... no
checking for db_create in -ldb3... no
checking for Berkeley DB3 support... yes
...

Comment 1 John Morrissey 2002-06-01 18:29:57 UTC
This is still busted in Rawhide as of today (PHP 4.2.1-1, uploaded 27 May 02:04).


Comment 2 Phil Copeland 2002-06-04 19:37:37 UTC
Fixed for 4.*1.2* (4.2.1 in 7.3 rawhide? humm shouldn't exist...)
problem is ath t 4.1.2 is the last binary API compatible release. 4.2.1 breaks
the API and the 3rd party folk will be up in arms

lookout for the upcoming errata

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.